RGE(4)

NAME
rge - Realtek 8125/8125B PCI Express 10/100/1Gb/2.5Gb Ethernet device

SYNOPSIS
rge* at pci?

DESCRIPTION
The rge driver provides support for PCI Express 2.5Gb Ethernet adapters based on the Realtek RTL8125 and RTL8125B Ethernet controllers, including the following:

•   Realtek 8125/8125B 2.5GbE Adapter (2500baseT)
•   Rivet Networks Killer E3000 Adapter (2500baseT)
•   TP-LINK TL-NG421 Adapter (2500baseT)

The rge driver additionally supports Wake on LAN (WoL). See arp(8) and ifconfig(8) for more details.

SEE ALSO
arp(4), ifmedia(4), intro(4), netintro(4), pci(4), hostname.if(5), ifconfig(8)

HISTORY
The rge driver first appeared in OpenBSD 6.6.

AUTHORS
-nosplit The rge driver was written by Kevin Lo <kevlo@openbsd.org>.